Desk Top Calendar (DTC)

DTC is a utility providing a simple calendar on your desk which can
hold and show appointments and be useful in managing your time.
	Its chief goals were to provide Day, Week, and Month at a
glance for any date between 1/1/0001 and 12/31/9999, defaulting to
the current system date. It is menu driven and fairly easy to use.

	Installation:
	1. Move the DTC.HLP file to directory C: so the online H
command can find it.
	2. Move the DTC file where it can be run. (You may have to
enlarge the stack with a STACK command for DTC to work; it is
written in Fortran and the Absoft compiler seems to have that
property. If in doubt try STACK 50000.) (I believe that the default
stack will work OK normally).

	3. Type DTC to fire it up. The Q command returns to AmigaDOS.

	Use:

	DTC fires up a CON: window which will generally fill the whole
screen or the top halfscreen if in high res mode. Commands are entered
from the keyboard; a menu is initially displayed.
	DTC2 uses the current window and just uses whatever of it is
needed; it needs more or less an 80 by 24 area. Other than this DTC
and DTC2 work much alike. However, DTC2 probably will not be interfered
with by ConMan 1.3.

	Commands include:

	I  Initialize date to current system date. Sometimes needed
		to avoid major brain damage in date used.
	D Date Time Appt - Enters Appt (up to 60 chars) in date and time
		given. Just about any normally used date and time format
		will be accepted. Years can be 2 or 4 digits; in the former
		case the 20th century is assumed. Just giving the D command
		(or just D date) displays the Day's appointments. Note that
		E is a pseudo time meaning Evening (5PM or later). You can
		use 12 or 24 hour time; DTC understands both. It assumes
		appointments are in the prime shift, however.
	W date - Displays times for appointments for the week containing
		date.
	M date - Displays days with appointments for the month specified.
Note: a Year command exists but messes up unless display can handle 132
columns; the Amiga can't so don't use it...
	S date time appt - Schedule appt in all files indirectly pointed
		at. Appointments are normally stored in file DTC.DAT preceded
		by YYYYMMDDHHH. If the YYYYMMMDDHHH is 999999999999, DTC
		will assume the rest of the line is a filename (ending in =
		generally) and will look there also during appointment
		scans. Where the L or NW commands are used to set up a
		meeting, a file might be used with pointers like this to
		a large group of people. The S command is provided to
		let you put meeting notices in the INDIRECTED files
		instead of just in the TOP LEVEL file like the D command.
	F filename - Changes the DTC appointment file to filename. Any
		filename the system can understand is OK with DTC.
	L date nn - Locates periods of nn half-hours that are free in
		the week containing date. These are times when a meeting
		of length nn/2 hours could start that week.
	NW, ND  - Show free times during week or day. Reverses display sense
		for busy/free. Handy if you have a BUSY schedule.
	P date - Purge appointments, destroying any older than date.
	X date1 time1 date2 time2 - eXchange appointment from date1, time1
		to date2 time2.
	U date time - Unschedule appointment at date, time.
	Q - Quit DTC. Exit the program.
		Times of form HH:MM>hh:mm (e.g. 12:00>15:00) express time
		ranges and fill in blocks of time if so desired.
		The program attempts to display the current time/date
		in reverse video or similar renditions where possible and
		to show default dates by underlining.
	+nD
	+nW
	+nM
	+nY	Move default display forward by n Days, Weeks, Months, or
		Years. N defaults to 1 and the unit defaults to the last
		displayed one.
	-nD
	-nW
	-nM
	-nY	Ditto, back n days, weeks, months, or years.

	H - displays DTC.HLP on screen. Not a very powerful help system
		but simple to use.

	This version of DTC comes from work done by Mitch Wyle, Glenn
	Everhart, and Charles Garman for PDP11 and VAX versions. The
	VAX VMS version was ported to Amiga by Glenn Everhart (mainly
	in preparation for porting a spreadsheet, to learn the compiler's
	idiosyncracies). Complete sources are presented. While it is not
	as polished as it could be, it seems to be fully functional (at
	least on my Amiga in 512K under 1.2 beta 6) and serves a purpose
	nothing else I have seen serves. Enjoy. If anyone improves this
	version, please forward me a copy.

	DTC also works OK under AmigaDos 1.3.
		Glenn Everhart
		25 Sleigh Ride Rd.
		Glen Mills, Pa 19342
